Neo4jlocal/Book/urls.py
from django.urls import path
from Book import views

app_name ='Book'
urlpatterns = [
    
    path('index',views.index, name ='index'),
    path('',views.Mylogin,name ='login'),
    path('logout',views.Mylogout, name='logout'),
    path('register',views.MyRegister, name = 'register'),
]

Neo4jlocal/Neo4j/urls.py
from django.contrib import admin
from django.urls import path
from django.urls.conf import include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('Book.urls')),
]

Neo4jlocal/Book/models.py
from types import SimpleNamespace
from django.db import models
from django_neomodel import DjangoNode
from neomodel import (StructuredNode,StringProperty, UniqueIdProperty, DateProperty
                         ,EmailProperty, RelationshipTo,RelationshipFrom,Relationship)
from neomodel.properties import IntegerProperty
# Create your models here.
class Book(DjangoNode):
    ID = UniqueIdProperty()
    title = StringProperty(unique_index =True)
    created = DateProperty(default_now = True)


    class Meta:
        app_label = 'Book'
    

class Person(DjangoNode):
    uuid = UniqueIdProperty()
    fullname =StringProperty()
    username = StringProperty()
    age = IntegerProperty()
    password = StringProperty()
    email = EmailProperty(unique_index = True)
    
    author = RelationshipTo('Book','Author')
    friend = Relationship('Person','friend')
    class Meta:
        app_label = 'Book'

Neo4jlocal/Book/views.py
from os import name
from django.shortcuts import redirect, render
from .models import *
from django.contrib.auth import logout
# Create your views here.

def index(request):
    if request.method == 'POST':
        return render(request, 'Book/index.html')
    else:
        search = request.GET.get('check')
        
        user = Person.nodes.get_or_none(username = search)
        
        if user == None:
            return render(request,'Book/index.html',{'message':'tác giả bạn tìm không tồn tại'})
        else:
            books = user.author.all()
            print(books)
            for book in books:
                print(book.title)
            return render(request,'Book/index.html',{'books':books})
    
def Mylogin(request):
    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')
        user = Person.nodes.get_or_none(username=username)
        if user == None:
            #render(request,'Book/login.html',{'tinhao':'797'})
            return render(request,'Book/login.html',{'message':'Tài khoản của bạn không tồn tại'})
        else:
            if user.password == password:
                return redirect('Book:index')
            else:
                 return render(request,'Book/login.html',{'message':'mật khẩu của bạn không đúng'})
    return render(request,'Book/login.html')

def Mylogout(request):
    try:
        logout(request)
    except:
        pass
    return redirect('Book:login')

def MyRegister(request):
    if request.method == 'POST':
        fullname = request.POST.get('fullname')
        username = request.POST.get('username')
        password = request.POST.get('password')
        password2 = request.POST.get('password2')
        user = Person.nodes.get_or_none(username=username)
        if user == None:
            if password == password2:
                new_person = Person(age = '18',username = username,password =password, fullname = fullname)
                new_person.save()
                return redirect('Book:login')
            else:
                return render(request,'Book/register.html',{'message':'mật khấu xác nhận bạn không đúng'})
        else:
            return render(request,'Book/register.html',{'message':'tài khoản đã tồn tại'})
    return render(request,'Book/register.html')

Neo4jlocal/Book/templates/Book/index.html
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>My Website</title>
    {% load static %}
    <link rel="shortcut icon" type="image/png" href="{%  static 'favicon.ico' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Satisfy' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

    <script src="{% static 'homepage/js/main.js' %}"></script>
</head>

<body>
    <nav class="navbar navbar-inverse">
        <div class="container-fluid">

            <!-- Header -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#topNavBar">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
                <a class="navbar-brand" href="">Long's Project</a>
            </div>

            <!-- Items -->
            <div class="collapse navbar-collapse" id="topNavBar">
                <ul class="nav navbar-nav">
                    <li class=""><a href=""><span class="glyphicon glyphicon-cd" aria-hidden="true"></span>&nbsp; Albums</a></li>
                    <li class=""><a href=""><span class="glyphicon glyphicon-music" aria-hidden="true"></span>&nbsp; Songs</a></li>
                </ul>
                <form class="navbar-form navbar-left" role="search" method="get" action="">
                    <div class="form-group">
                        <input type="text" class="form-control" name="check" type="text">
                    </div>
                    <button type="submit" class="btn btn-default">Tìm kiếm</button>
                </form>
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a href="">
                            <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>&nbsp; Thêm Album
                        </a>
                    </li>
                    <li>
                        <a href="{% url 'Book:logout' %}">
                            <span class="glyphicon glyphicon-off" aria-hidden="true"></span>&nbsp; Đăng xuất
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    {% if message %} {{message}} {% endif %} {% for book in books %}
    <div class="col-sm-4 col-lg-2">
        <div class="thumbnail">
            <div class="caption">
                <h2>{{book.title}}</h2>
            </div>
        </div>
    </div>
    {% endfor %}

</body>

</html>

Neo4jlocal/Book/templates/Book/login.html
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>My Website</title>
    {% load static %}
    <link rel="shortcut icon" type="image/png" href="{%  static 'favicon.ico' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Satisfy' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    <script src="{% static 'homepage/js/main.js' %}"></script>
</head>

<body>
    <nav class="navbar navbar-inverse">
        <div class="container-fluid">

            <!-- Header -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#topNavBar">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
                <a class="navbar-brand" href="">Long's Project</a>
            </div>

            <!-- Items -->
            <div class="collapse navbar-collapse" id="topNavBar">
                <ul class="nav navbar-nav">
                    <li class=""><a href="{% url 'Book:register' %}">Đăng kí</a></li>
                    <li class=""><a href="{% url 'Book:login' %}">Đăng nhập</a></li>
                </ul>
            </div>

        </div>
    </nav>

    <div class="container-fluid">

        <div class="row">
            <div class="col-sm-12 col-md-6">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <h3><strong>Đăng nhập</strong></h3>
                        {% if message %} {{message}} {% endif %}
                        <form class="form-horizontal" method="post" enctype="multipart/form-data">
                            {% csrf_token %}
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_username">
                                Tên đăng nhập:
                            </label>
                                <div class="col-sm-9">
                                    <input id="id_username" maxlength="30" name="username" type="text">
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_password">
                                Mật khẩu:
                            </label>
                                <div class="col-sm-9">
                                    <input id="id_password" maxlength="30" name="password" type="password">
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-2 col-sm-10">
                                    <button type="submit" class="btn btn-success">Xác nhận</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="panel-footer">
                        Bạn chưa có tài khoản? <a href="">Chọn vào đây</a> để đăng kí.
                    </div>
                </div>
            </div>
        </div>

    </div>

</body>

</html>

Neo4jlocal/Book/templates/Book/register.html
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>My Website</title>
    {% load static %}
    <link rel="shortcut icon" type="image/png" href="{%  static 'favicon.ico' %}" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
    <link href='https://fonts.googleapis.com/css?family=Satisfy' rel='stylesheet' type='text/css'>
    <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
    <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    <script src="{% static 'homepage/js/main.js' %}"></script>
</head>

<body>
    <nav class="navbar navbar-inverse">
        <div class="container-fluid">

            <!-- Header -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#topNavBar">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
                <a class="navbar-brand" href="">Long's Project</a>
            </div>

            <!-- Items -->
            <div class="collapse navbar-collapse" id="topNavBar">
                <ul class="nav navbar-nav">
                    <li class=""><a href="{% url 'Book:register' %}">Đăng kí</a></li>
                    <li class=""><a href="{% url 'Book:login' %}">Đăng nhập</a></li>
                </ul>
            </div>

        </div>
    </nav>

    <div class="container-fluid">

        <div class="row">
            <div class="col-sm-12 col-md-6">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <h3><strong>Đăng kí</strong></h3>
                        {% if message %} {{message}} {% endif %}
                        <form class="form-horizontal" method="post" enctype="multipart/form-data">
                            {% csrf_token %}
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_fullname">
                                Họ và tên:
                                </label>
                                <div class="col-sm-9">
                                    <input id="id_fullname" maxlength="30" name="fullname" type="text" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_username">
                                Tên đăng nhập:
                                </label>
                                <div class="col-sm-9">
                                    <input id="id_username" maxlength="30" name="username" type="text" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_password">
                                Mật khẩu:
                                </label>
                                <div class="col-sm-9">
                                    <input id="id_password" maxlength="30" name="password" type="password" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <label class="control-label col-sm-3" for="id_password">
                                Xác Nhận Mật khẩu:
                                </label>
                                <div class="col-sm-9">
                                    <input id="id_password" maxlength="30" name="password2" type="password" required>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-sm-offset-2 col-sm-10">
                                    <button type="submit" class="btn btn-success">Xác nhận</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>

</body>

</html>